List Polymarket teams
List the sports teams and fighters Polymarket has markets for.
Headers
Get your API keyAPI key (`sfk_...`)
Only teams in this league, by code such as `nfl`.
pattern: ^[a-z0-9_-]{1,40}$
Only teams with this name.
min 1 chars · max 120 chars
Items per page, 1–100. Default: 100.
≥ 1 · ≤ 100
Pass `page.nextCursor` from the previous response to get the next page. Keep the other filters the same.
min 1 chars · max 6000 chars
Endpoint-specific response payload.
`found` on success.
one of: found, not_found
Teams in order.
Team id.
Team name.
League code.
Short code.
Short name.
Win-loss record.
Logo URL.
Team colour as a hex code.
When the team was added (ISO-8601, UTC).
When the team was last changed (ISO-8601, UTC).
Pagination state for the current page.
Whether another page is available.
Cursor to pass in the next request when more pages exist; null on the last page.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/polymarket/teams?league=nfl" \
-H "x-api-key: YOUR_API_KEY"Responses
Polymarket teams.